Bug 490063 - liveusb-creator crashes with unicode encode error
liveusb-creator crashes with unicode encode error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: kushaldas@gmail.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 23:19 EDT by Christoph Wickert
Modified: 2009-03-20 14:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.6.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 14:32:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-03-12 23:19:02 EDT
Description of problem:
liveusb-creator crashes due to an unicode error.

Version-Release number of selected component (if applicable):
liveusb-creator-3.5-2.fc10.noarch

How reproducible:
always

Steps to Reproduce:
1. LANG=de_DE.UTF-8 liveusb-creator
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/liveusb-creator", line 75, in <module>
    main()
  File "/usr/sbin/liveusb-creator", line 70, in main
    LiveUSBApp(opts, sys.argv)
  File "/usr/lib/python2.5/site-packages/liveusb/gui.py", line 54, in __init__
    self.mywindow = LiveUSBDialog(opts)
  File "/usr/lib/python2.5/site-packages/liveusb/gui.py", line 245, in __init__
    self.populate_devices()
  File "/usr/lib/python2.5/site-packages/liveusb/gui.py", line 275, in populate_devices
    self.textEdit.setPlainText(str(e).encode('utf8'))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 18: ordinal not in range(128)
Comment 1 Christoph Wickert 2009-03-12 23:30:11 EDT
Fixed in liveusb-creator-3.6.3-1.fc10, which has just been been built one hour ago.
Comment 2 Fedora Update System 2009-03-13 14:34:18 EDT
liveusb-creator-3.6.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2640
Comment 3 Fedora Update System 2009-03-13 14:38:38 EDT
liveusb-creator-3.6.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update liveusb-creator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2659
Comment 4 Fedora Update System 2009-03-20 14:32:37 EDT
liveusb-creator-3.6.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-03-20 14:35:54 EDT
liveusb-creator-3.6.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.